> ## Documentation Index
> Fetch the complete documentation index at: https://loyalty-interchange.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get negotiated operations, effects, events, and limits



## OpenAPI

````yaml /api-reference/openapi.yaml get /capabilities
openapi: 3.1.2
info:
  title: Loyalty Interchange Protocol
  version: 0.1.0
  description: Vendor-neutral loyalty transaction API with the foodservice/1.0 profile.
  license:
    name: Apache-2.0
    identifier: Apache-2.0
servers:
  - url: https://loyalty.example.com/lip/v1
security:
  - bearerAuth: []
tags:
  - name: Discovery
  - name: Programs
  - name: Accounts
  - name: Ledger
  - name: Members
  - name: Orders
  - name: Accruals
  - name: Redemptions
  - name: Issued Rewards
paths:
  /capabilities:
    get:
      tags:
        - Discovery
      summary: Get negotiated operations, effects, events, and limits
      operationId: getCapabilities
      responses:
        '200':
          description: Supported LIP capabilities
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CapabilitiesDocument'
        default:
          $ref: '#/components/responses/Problem'
components:
  schemas:
    CapabilitiesDocument:
      title: CapabilitiesDocument
      additionalProperties: false
      type: object
      required:
        - protocol_version
        - profiles
        - operations
        - reward_effects
        - event_types
        - limits
      properties:
        protocol_version:
          const: '1.0'
          type: string
        profiles:
          minItems: 1
          uniqueItems: true
          type: array
          items:
            const: foodservice/1.0
            type: string
        operations:
          minItems: 1
          uniqueItems: true
          type: array
          items:
            anyOf:
              - const: member.lookup
                type: string
              - const: member.enroll
                type: string
              - const: order.evaluate
                type: string
              - const: accrual.post
                type: string
              - const: redemption.reserve
                type: string
              - const: redemption.capture
                type: string
              - const: redemption.reverse
                type: string
              - const: order.adjust
                type: string
              - const: program.get
                type: string
              - const: account.get
                type: string
              - const: ledger.list
                type: string
              - const: ledger.manual_adjustment
                type: string
              - const: issued_reward.list
                type: string
              - const: issued_reward.issue
                type: string
              - const: issued_reward.cancel
                type: string
        reward_effects:
          minItems: 1
          uniqueItems: true
          type: array
          items:
            anyOf:
              - const: discount
                type: string
              - const: free_item
                type: string
              - const: custom
                type: string
        event_types:
          uniqueItems: true
          type: array
          items:
            anyOf:
              - const: org.loyalty-interchange.member.enrolled.v1
                type: string
              - const: org.loyalty-interchange.balance.changed.v1
                type: string
              - const: org.loyalty-interchange.order.accrued.v1
                type: string
              - const: org.loyalty-interchange.order.adjusted.v1
                type: string
              - const: org.loyalty-interchange.redemption.reserved.v1
                type: string
              - const: org.loyalty-interchange.redemption.captured.v1
                type: string
              - const: org.loyalty-interchange.redemption.reversed.v1
                type: string
              - const: org.loyalty-interchange.issued-reward.issued.v1
                type: string
              - const: org.loyalty-interchange.issued-reward.redeemed.v1
                type: string
              - const: org.loyalty-interchange.issued-reward.restored.v1
                type: string
              - const: org.loyalty-interchange.issued-reward.cancelled.v1
                type: string
        limits:
          additionalProperties: false
          type: object
          required:
            - max_body_bytes
            - max_idempotency_key_length
            - reservation_ttl_seconds
          properties:
            max_body_bytes:
              minimum: 1
              type: integer
            max_idempotency_key_length:
              minimum: 1
              type: integer
            reservation_ttl_seconds:
              minimum: 1
              type: integer
    ProblemDetails:
      title: ProblemDetails
      additionalProperties: true
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          format: uri-reference
          type: string
        title:
          minLength: 1
          type: string
        status:
          minimum: 400
          maximum: 599
          type: integer
        detail:
          type: string
        instance:
          format: uri-reference
          type: string
        code:
          minLength: 1
          maxLength: 128
          type: string
        errors:
          type: array
          items:
            additionalProperties: false
            type: object
            required:
              - path
              - message
            properties:
              path:
                type: string
              message:
                type: string
  responses:
    Problem:
      description: RFC 9457 problem details
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````